%define version 1.2.4
%define release 1mdk
%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)
%define durl http://www.cpan.org/authors/id/A/AR/ARENSB
%define rname p5-Palm
%define name perl-%{rname}

Summary: Modules for reading manipulating, and writing .pdb and .prc database
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{durl}/%{rname}-%{version}.tar.bz2
License: GPL
Group: Development/Perl
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: /usr/bin/perl
Prefix: %{_prefix}
Url: http://www.ooblick.com/software/coldsync/

%description
This is p5-Palm, a set of Perl 5 modules for reading, manipulating,
and writing the .pdb and .prc database files used by PalmOS devices
such as the PalmPilot and its successors.

%prep
%setup -q -n %{rname}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make PREFIX=%{prefix}
perl test.pl

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_bindir}/*
%{perl_sitelib}/Palm

%changelog
* Thu Jan 10 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4-1mdk
- First release.

